## zoomCamera

### Syntax:

    zoomCamera (zoom);

### Purpose:

Zooms the camera by zoom percentage. (100 is the default.) If it is not possible to zoom out the camera without the user seeing an area outside of the scene image, the camera is zoomed to the closest possible valid position. The camera position is not adjusted to compensate for the changed zoom value (except for avoiding scene edges): Use together with aimCamera.

### Return value:

No return value.

### See also:

Scrolling Scenes

aimCamera

getObjectX and getObjectY

setSceneDimensions

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012